Package org.drinkless.tdlib

# Class TdApi.GetMessageLink

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.MessageLink>
org.drinkless.tdlib.TdApi.GetMessageLink

Enclosing class:
  `TdApi`

public static class TdApi.GetMessageLink extends TdApi.Function<TdApi.MessageLink>
Returns an HTTPS link to a message in a chat. Available only if messageProperties.canGetLink, or if messageProperties.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline method.

Returns `MessageLink`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the message belongs.
  `int`
  `checklistTaskId`
  If not 0, identifier of the checklist task in the message to be linked.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forAlbum`
  Pass true to create a link for the whole media album.
  `boolean`
  `inMessageThread`
  Pass true to create a link to the message as a channel post comment, in a message thread, or a forum topic.
  `int`
  `mediaTimestamp`
  If not 0, timestamp from which the video/audio/video note/voice note/story playing must start, in seconds.
  `long`
  `messageId`
  Identifier of the message.
  `String`
  `pollOptionId`
  If not empty, identifier of the poll option in the message to be linked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageLink()`
  Default constructor for a function, which returns an HTTPS link to a message in a chat.
  `GetMessageLink(long chatId, long messageId, int mediaTimestamp, int checklistTaskId, String pollOptionId, boolean forAlbum, boolean inMessageThread)`
  Creates a function, which returns an HTTPS link to a message in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the message belongs.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### mediaTimestamp

    public int mediaTimestamp
    If not 0, timestamp from which the video/audio/video note/voice note/story playing must start, in seconds. The media can be in the message content or in its link preview.

  - ### checklistTaskId

    public int checklistTaskId
    If not 0, identifier of the checklist task in the message to be linked.

  - ### pollOptionId

    public String pollOptionId
    If not empty, identifier of the poll option in the message to be linked.

  - ### forAlbum

    public boolean forAlbum
    Pass true to create a link for the whole media album.

  - ### inMessageThread

    public boolean inMessageThread
    Pass true to create a link to the message as a channel post comment, in a message thread, or a forum topic.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetMessageLink

    public GetMessageLink()
    Default constructor for a function, which returns an HTTPS link to a message in a chat. Available only if messageProperties.canGetLink, or if messageProperties.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline method.

    Returns `MessageLink`

  - ### GetMessageLink

    public GetMessageLink(long chatId, long messageId, int mediaTimestamp, int checklistTaskId, String pollOptionId, boolean forAlbum, boolean inMessageThread)
    Creates a function, which returns an HTTPS link to a message in a chat. Available only if messageProperties.canGetLink, or if messageProperties.canGetMediaTimestampLinks and a media timestamp link is generated. This is an offline method.

    Returns `MessageLink`

    Parameters:
      `chatId` - Identifier of the chat to which the message belongs.
      `messageId` - Identifier of the message.
      `mediaTimestamp` - If not 0, timestamp from which the video/audio/video note/voice note/story playing must start, in seconds. The media can be in the message content or in its link preview.
      `checklistTaskId` - If not 0, identifier of the checklist task in the message to be linked.
      `pollOptionId` - If not empty, identifier of the poll option in the message to be linked.
      `forAlbum` - Pass true to create a link for the whole media album.
      `inMessageThread` - Pass true to create a link to the message as a channel post comment, in a message thread, or a forum topic.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.MessageLink>`
    Returns:
      this.CONSTRUCTOR